Skip to main content

GetParseResult

Retrieve document parsing results. You can query the document's parsing status and obtain the parsing results.

Operation description

Prerequisites
  • You have activated Alibaba Cloud Model Studio and Tongyi Gold services.
  • Obtain the workspace ID. For more information, see the workspace identity document.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:
  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.
  • API: The API that you can call to perform the action.
  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.
  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.
    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.
    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.
  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.
  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

dianjin:GetParseResult

none

*All Resource

*

NoneNone

Request syntax

POST /{workspaceId}/api/library/document/getParseResult HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

Yes

Path parameter, the workspace ID.

llm-xxxxx

Request parameters

Parameter

Type

Required

Description

Example

body

object

No

The request body.

docId

string

Yes

The document ID.

873648346573245

libraryId

string

Yes

The document library ID.

sjdgdsfg

useUrlResult

boolean

No

Specifies whether to return the result as a URL. If true, the parsing result is in resultUrl, and result is empty. If false, the parsing result is in result, and resultUrl is empty.

false

Response elements

Element

Type

Description

Example

object

ResultCode

success

boolean

Indicates whether the request was successful.

true

dataType

string

The data type.

null

time

string

The timestamp.

2024-04-24 11:54:34

errCode

string

The error code.

0

message

string

The error message.

ok

data

object

The response data.

fileType

string

The file type.

pdf

providerType

string

The provider type.

null

requestId

string

The request ID.

b0a202e2-5031-4589-a6d7-39185f0d8d01

result

object

The parsing result.

{ "Status": "Success", "Data": {}, "Message": null, "TaskId": "docmind-20240601-123abc" }

status

string

The document parsing status.

WaitRefresh

resultUrl

string

The parsing result returned as a URL. You can download it directly. Note: Only PDF, DOC, DOCX, PPT, and PPTX file types have parsing results.

https://xxx.oss-cn-beijing.aliyuncs.com/library/3mjeoywx7z/1826661605606129665.json

requestId

string

The request ID.

0abb793617204049360065953ec6dd

cost

integer

The time consumed.

null

Examples

Success response JSON format
{
  "success": true,
  "dataType": "null",
  "time": "2024-04-24 11:54:34",
  "errCode": "0",
  "message": "ok",
  "data": {
    "fileType": "pdf",
    "providerType": "null",
    "requestId": "b0a202e2-5031-4589-a6d7-39185f0d8d01",
    "result": {
      "Status": "Success",
      "Data": {},
      "Message": null,
      "TaskId": "docmind-20240601-123abc"
    },
    "status": "WaitRefresh",
    "resultUrl": "https://xxx.oss-cn-beijing.aliyuncs.com/library/3mjeoywx7z/1826661605606129665.json"
  },
  "requestId": "0abb793617204049360065953ec6dd",
  "cost": 0
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.
Token Plan
Model Playground
Fine-tuning
Model Compression
Statistics and Monitoring
Support